Foreman - Bug #22806

Rails won't boot without prometheus rubygem

03/07/2018 12:10 PM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category:

Target version: 1.18.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman/p

ull/5301

Description

When prometheus is not installed, Rails won't boot:

such file to load —-- prometheus/client.rb (LoadError)
/usr/share/foreman/vendor/ruby/2.3.0/gems/polyglot-0.3.5/1ib/polyglot.rb:65:in "require&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/polyglot-0.3.5/1ib/polyglot.rb:65:in "require&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:292:in “block in requireé&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:258:1in "~ load_dependencyé&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:292:in " require&apos;
/usr/share/foreman/lib/foreman/telemetry_sinks/prometheus_sink.rb:1:in '<top (required)>&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/polyglot-0.3.5/1ib/polyglot.rb:65:in " require&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/polyglot-0.3.5/1ib/polyglot.rb:65:in " require&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:292:in “block in requireé&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:258:1in "~ load_dependencyé&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:292:1in “require&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:379:1in “block in require_or_load&apos;
/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.4/1ib/active_support/dependencies.rb

:36:in "block in load_interlocké&apos;

/usr/share/foreman/vendor/ruby/2.3.0/gems/activesupport-5.1.

terlock.rb:12:in "block in loadingé&apos;

/usr/share/foreman/vendor/ruby/2.
re_lock.rb:149:in “exclusive&apos;
/usr/share/foreman/vendor/ruby/2.
terlock.rb:11:in " loadingé&apos;
/usr/share/foreman/vendor/ruby/2.
:36:1in " load_interlocké&apos;
/usr/share/foreman/vendor/ruby/2.
:357:1in “require_or_loadé&apos;
/usr/share/foreman/vendor/ruby/2.
:335:1in “depend_oné&apos;
/usr/share/foreman/vendor/ruby/2.
:251:1in “require_dependencyé&apos;
/usr/share/foreman/vendor/ruby/2.
vels) in eager_load!é&apos;
/usr/share/foreman/vendor/ruby/2.
/usr/share/foreman/vendor/ruby/2.
ger_load!&apos;
/usr/share/foreman/vendor/ruby/2.
/usr/share/foreman/vendor/ruby/2.
.0/gems/activesupport-5.1.
.0/gems/activesupport-5.1.
.0/gems/activesupport-5.1.
.0/gems/activesupport-5.1.
.0/gems/activesupport-5.1.
.0/gems/activesupport-5.1.4/1lib/active_support/dependencies.
.0/gems/railties—-5.1.4/1ib/rails/engine.rb:476:

.0/gems/railties-5.
.0/gems/railties-5.

.0/gems/railties-5.
.0/gems/railties-5.

.4/1ib/rails/engine.
.4/1ib/rails/engine.

.4/1ib/rails/engine.
.4/1ib/rails/engine.

rb:
rb:

rb:
rb:

475:
475:

473:
473

4/1ib/active_support/dependencies.
4/1ib/active_support/dependencies.

4/1ib/active_support/dependencies.

in

in
in
in
in

"block (2

4/1ib/active_support/dependencies/in
4/1ib/active_support/concurrency/sha

4/1ib/active_support/dependencies/in

rb

rb

rb

rb

le

‘eaché&apos;
"block in ea

‘eaché&apos;
‘eager_load!

1/2




&apos;
/usr/share/foreman/vendor/ruby/2.
&apos;
/usr/share/foreman/vendor/ruby/2.
‘eaché&apos;
/usr/share/foreman/vendor/ruby/2.
"block in <module:Finisher>&apos;
/usr/share/foreman/vendor/ruby/2.
nce_exec&apos;
/usr/share/foreman/vendor/ruby/2.
pos;
/usr/share/foreman/vendor/ruby/2.
in run_initializersé&apos;
/usr/lib/ruby/2.3.0/tsort.rb:228:
/usr/lib/ruby/2.3.0/tsort.rb:350:

3.0/gems/railties-5.
3.0/gems/railties-5.
3.0/gems/railties-5.
3.0/gems/railties-5.
3.0/gems/railties-5.

3.0/gems/railties-5.

1

.4/1ib/rails/engine.rb:354:in "eager_

.4/1lib/rails/application/finisher.rb:
.4/1lib/rails/application/finisher.rb:
.4/1ib/rails/initializable.rb:30:1in
.4/1ib/rails/initializable.rb:30:1in

.4/1ib/rails/initializable.rb:59:in

in "block in tsort_eaché&apos;

in “block (2 levels)

in each_strongly_connected_com

load!

67:1in

67:1in

“insta

‘runé&a

"block

Associated revisions

Revision 28489960 - 03/07/2018 06:45 PM - Lukas Zapletal

Fixes #22806 - rails now boot without telementry deps

History

#1 - 03/07/2018 12:11 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5301 added

#2 - 03/07/2018 06:47 PM - Anonymous

- translation missing: en.field_release set to 330

#3 - 03/08/2018 10:55 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2848996010ef95ed1b64af6bd1fc24d6997e10b0.
